> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/release-orchestration/api-reference/conflicts-beta.md).

# Conflicts \[Beta]

## Update Release Conflict

> Update release ID and type for a release conflict

```json
{"openapi":"3.0.0","info":{"title":"rms","version":"1.0"},"tags":[{"name":"Conflicts"}],"servers":[{"url":"/api"}],"paths":{"/conflicts/{executionId}":{"put":{"description":"Update release ID and type for a release conflict","operationId":"UpdateReleaseConflict","parameters":[{"description":"ID of the execution to update","in":"path","name":"executionId","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/AccountParam"}],"requestBody":{"content":{"application/json":{"schema":{"properties":{"comments":{"type":"string"},"releaseId":{"description":"ID of the release to associate with the execution","type":"string"},"type":{"$ref":"#/components/schemas/ReleaseType"}},"required":["releaseId","type"],"type":"object"}}},"required":true},"responses":{"200":{"$ref":"#/components/responses/UpdateReleaseConflictResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Update Release Conflict","tags":["Conflicts"]}}},"components":{"parameters":{"AccountParam":{"description":"Account Identifier","in":"header","name":"Harness-Account","required":true,"schema":{"type":"string"}}},"schemas":{"ReleaseType":{"description":"Type of release.","enum":["System","Beta","Hotfix","Patch"],"type":"string"},"Error":{"description":"Error Response","properties":{"code":{"description":"canonical error code name","enum":["BAD_REQUEST","UNAUTHORIZED","FORBIDDEN","NOT_FOUND","INTERNAL_SERVER_ERROR"],"type":"string"},"explanation":{"description":"additional context about why the error occurred","type":"string"},"governanceMetadata":{"$ref":"#/components/schemas/GovernanceMetadata"},"message":{"description":"error message detail","type":"string"},"probable_fixes":{"description":"suggested actions to resolve the error","items":{"type":"string"},"type":"array"}},"required":["message"],"title":"Error Response","type":"object"},"GovernanceMetadata":{"properties":{"accountId":{"type":"string"},"action":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"details":{"items":{"$ref":"#/components/schemas/PolicySetMetadata"},"type":"array"},"entity":{"type":"string"},"id":{"type":"string"},"message":{"type":"string"},"orgId":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"},"timestamp":{"type":"string"},"type":{"type":"string"}},"type":"object"},"PolicySetMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"deny":{"type":"boolean"},"description":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyMetadata":{"items":{"$ref":"#/components/schemas/PolicyMetadata"},"type":"array"},"policySetId":{"type":"string"},"policySetName":{"type":"string"},"projectId":{"type":"string"},"status":{"type":"string"}},"type":"object"},"PolicyMetadata":{"properties":{"accountId":{"type":"string"},"created":{"type":"string"},"denyMessages":{"items":{"type":"string"},"type":"array"},"error":{"type":"string"},"identifier":{"type":"string"},"orgId":{"type":"string"},"policyId":{"type":"string"},"policyName":{"type":"string"},"projectId":{"type":"string"},"severity":{"type":"string"},"status":{"type":"string"},"updated":{"type":"string"}},"type":"object"}},"responses":{"UpdateReleaseConflictResponse":{"content":{"application/json":{"schema":{"properties":{"executionId":{"type":"string"},"success":{"default":false,"type":"boolean"}},"required":["success","executionId"],"type":"object"}}},"description":"Example response"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}}}}
```
